Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 168251 - Inherited POM information cached too long
Inherited POM information cached too long
Status: VERIFIED FIXED
Product: projects
Classification: Unclassified
Component: Maven
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Milos Kleint
issues@platform
67patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-07 20:41 UTC by Jesse Glick
Modified: 2009-07-20 14:51 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jesse Glick 2009-07-07 20:41:34 UTC
090706. I have a checkout of hudson/main. I worked with some of the projects in the IDE, then closed them. From the
command line, I did 'svn up' which I think incremented main/pom.xml to say 1.315-SNAPSHOT. But submodules (which do not
specify their own <version> except inside <parent>) are still shown in the IDE as 1.313-SNAPSHOT - e.g. in the OW title
when building, in the General tab of Project Properties, etc.

I can even open the main module's Properties and see 1.315-SNAPSHOT, but e.g. main/test still displays 1.313-SNAPSHOT.
There is no apparent way to refresh the inherited POM information. (I presume restarting the IDE works, though I have
not tried it yet.)
Comment 1 Milos Kleint 2009-07-08 09:54:55 UTC
http://hg.netbeans.org/main/rev/be0c19d56f0b should fix it, however it will again slow down initial project loading.
Still some performance gain persists.

It seems that it also reverted some previously magically "fixed" wrong projects (like some glassfish ones which had
wrong parent reference). But the magic was a bit unpredictable anyway, this fix should make it fail consistently.

BTW: for reproducing the problem it was enough to have a project with parent and add/delete the version in child. Then
observe if the version gets inherited or not..
Comment 2 Quality Engineering 2009-07-08 18:13:31 UTC
Integrated into 'main-golden', will be available in build *200907081400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/be0c19d56f0b
User: Milos Kleint <mkleint@netbeans.org>
Log: #168251 do clear some items from the workspace cache immediately, namely items not coming from the repository. That way sources updates shall be corrrectly reflected instead of reusing cached values.
Comment 3 Jaroslav Pospisil 2009-07-09 09:07:39 UTC
v.
Comment 4 pgebauer 2009-07-09 16:33:19 UTC
The fix has been ported into the release67_fixes repository.
http://hg.netbeans.org/release67_fixes/rev/ba0be3b7654a


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo